Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface LabelModelFacet

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, ModelFacet, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  DesignLabelModelFacet, ExpressionLabelModelFacet, FeatureLabelModelFacet

All Known Implementing Classes:
  DesignLabelModelFacetImpl, ExpressionLabelModelFacetImpl, FeatureLabelModelFacetImpl, LabelModelFacetImpl

    public interface LabelModelFacet

extends ModelFacet

A representation of the model object 'Label Model Facet'. Model facet of labels

The following features are supported:

- `Parser`

See Also:
  `GMFGenPackage.getLabelModelFacet()`
** Generated **
Model:

Method Summary
`GenParserImplementation` `getParser()` Returns the value of the 'Parser' reference.
`void` `setParser(GenParserImplementation value)` Sets the value of the '`Parser`' reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getParser

    GenParserImplementation getParser()

  Returns the value of the 'Parser' reference. It is bidirectional and its opposite is '`Uses`'.

  If the meaning of the 'Parser' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Parser' reference.
  See Also:
    `setParser(GenParserImplementation)`, `GMFGenPackage.getLabelModelFacet_Parser()`, `GenParserImplementation.getUses()`
  ** Generated **
  Model:
    opposite="uses" required="true"

### setParser

    void setParser(GenParserImplementation value)

  Sets the value of the '`Parser`' reference.

  Parameters:
    `value` - the new value of the 'Parser' reference.
  See Also:
    `getParser()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.